Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface JTARuntimeMBean

public interface JTARuntimeMBean
extends JTATransactionStatisticsRuntimeMBean, weblogic.health.HealthFeedback

This interface is used for accessing transaction runtime characteristics within a WebLogic server.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `forceGlobalCommit(javax.transaction.xa.Xid xid)` Forces the transaction represented by xid to be committed at all participating SubCoordinators.
`void` | `forceGlobalRollback(javax.transaction.xa.Xid xid)` Forces the transaction represented by xid to be rolled-back at all participating SubCoordinators.
`void` | `forceLocalCommit(javax.transaction.xa.Xid xid)` Forces the transaction represented by xid to be committed at the local SubCoordinator only.
`void` | `forceLocalRollback(javax.transaction.xa.Xid xid)` Forces the transaction represented by xid to be rolled-back at the local SubCoordinator only.
`int` | `getActiveTransactionsTotalCount()` Returns the number of active transactions on the server.
`weblogic.health.HealthState` | `getHealthState()` Returns the health state of the JTA subsystem.
`JTATransaction` | `getJTATransaction(java.lang.String xid)` Returns the JTATransaction information object for the specified Xid.
`JTATransaction[]` | `getJTATransactions()` Returns an array of JTATransaction objects.
`NonXAResourceRuntimeMBean[]` | `getNonXAResourceRuntimeMBeans()` Returns an array of NonXAResourceRuntimeMBeans that each represents the statistics for a non-XA resource.
`JTARecoveryRuntimeMBean` | `getRecoveryRuntimeMBean(java.lang.String serverName)` Returns the runtime MBean for the Transaction Recovery Service of the specified server.
`JTARecoveryRuntimeMBean[]` | `getRecoveryRuntimeMBeans()` Returns the runtime MBeans for the Transaction Recovery Services that were deployed on this server.
`java.lang.String[]` | `getRegisteredNonXAResourceNames()` Returns an array of NonXA resource names that are registered with the transaction manager.
`java.lang.String[]` | `getRegisteredResourceNames()` Returns an array of XA resource names that are registered with the transaction manager.
`TransactionNameRuntimeMBean[]` | `getTransactionNameRuntimeMBeans()` Returns an array of TransactionNameRuntimeMBeans that represent statistics for all transactions in the server, categorized by transaction name.
`TransactionResourceRuntimeMBean[]` | `getTransactionResourceRuntimeMBeans()` Returns an array of TransactionResourceRuntimeMBeans that each represents the statistics for a transaction resource.
`JTATransaction[]` | `getTransactionsOlderThan(java.lang.Integer seconds)` Returns an array of JTATransaction objects.

Methods inherited from interface weblogic.management.runtime.JTATransactionStatisticsRuntimeMBean
`getSecondsActiveTotalCount, getTransactionAbandonedTotalCount, getTransactionRolledBackAppTotalCount, getTransactionRolledBackResourceTotalCount, getTransactionRolledBackSystemTotalCount, getTransactionRolledBackTimeoutTotalCount`

Methods inherited from interface weblogic.management.runtime.JTAStatisticsRuntimeMBean
`getTransactionCommittedTotalCount, getTransactionHeuristicsTotalCount, getTransactionRolledBackTotalCount, getTransactionTotalCount`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTransactionNameRuntimeMBeans

    public TransactionNameRuntimeMBean[] getTransactionNameRuntimeMBeans()
                                                                  throws java.rmi.RemoteException

  Returns an array of TransactionNameRuntimeMBeans that represent statistics for all transactions in the server, categorized by transaction name.

  Returns:
    The transactionNameRuntimeMBeans value
  Throws:
    java.rmi.RemoteException -

### getTransactionResourceRuntimeMBeans

    public TransactionResourceRuntimeMBean[] getTransactionResourceRuntimeMBeans()
                                                                          throws java.rmi.RemoteException

  Returns an array of TransactionResourceRuntimeMBeans that each represents the statistics for a transaction resource.

  Returns:
    The transactionResourceRuntimeMBeans value
  Throws:
    java.rmi.RemoteException -

### getNonXAResourceRuntimeMBeans

    public NonXAResourceRuntimeMBean[] getNonXAResourceRuntimeMBeans()
                                                              throws java.rmi.RemoteException

  Returns an array of NonXAResourceRuntimeMBeans that each represents the statistics for a non-XA resource.

  Returns:
    The nonXAResourceRuntimeMBeans value
  Throws:
    java.rmi.RemoteException -

### getTransactionsOlderThan

    public JTATransaction[] getTransactionsOlderThan(java.lang.Integer seconds)

  Returns an array of JTATransaction objects. Each object provides detailed information regarding an active transaction that has existed for a period longer than the time specified.

  Parameters:
    `seconds` - The transaction duration in seconds qualifier.
  Returns:
    The transactionsOlderThan value

### getJTATransactions

    public JTATransaction[] getJTATransactions()

  Returns an array of JTATransaction objects. Each object provides detailed information regarding an active transaction.

  Returns:
    The jTATransactions value

### getRegisteredResourceNames

    public java.lang.String[] getRegisteredResourceNames()

  Returns an array of XA resource names that are registered with the transaction manager.

  Returns:
    The registeredResourceNames value

### getRegisteredNonXAResourceNames

    public java.lang.String[] getRegisteredNonXAResourceNames()

  Returns an array of NonXA resource names that are registered with the transaction manager.

  Returns:
    The registeredNonXAResourceNames value

### getActiveTransactionsTotalCount

    public int getActiveTransactionsTotalCount()

  Returns the number of active transactions on the server.

  Returns:
    The activeTransactionsTotalCount value

### getRecoveryRuntimeMBeans

    public JTARecoveryRuntimeMBean[] getRecoveryRuntimeMBeans()

  Returns the runtime MBeans for the Transaction Recovery Services that were deployed on this server.

  Returns:
    The recoveryRuntimeMBeans value

### getRecoveryRuntimeMBean

    public JTARecoveryRuntimeMBean getRecoveryRuntimeMBean(java.lang.String serverName)

  Returns the runtime MBean for the Transaction Recovery Service of the specified server. If the Transaction Recovery Service of the specified server is not deployed on this server, null will be returned.

  Parameters:
    `serverName` -
  Returns:
    The recoveryRuntimeMBean value

### getHealthState

    public weblogic.health.HealthState getHealthState()

  Returns the health state of the JTA subsystem.
  Specified by:
    getHealthState in interface weblogic.health.HealthFeedback

  Returns:
    The healthState value

### forceLocalRollback

    public void forceLocalRollback(javax.transaction.xa.Xid xid)
                            throws java.rmi.RemoteException

  Forces the transaction represented by xid to be rolled-back at the local SubCoordinator only.

  Parameters:
    `xid` -
  Throws:
    java.rmi.RemoteException -

### forceGlobalRollback

    public void forceGlobalRollback(javax.transaction.xa.Xid xid)
                             throws java.rmi.RemoteException

  Forces the transaction represented by xid to be rolled-back at all participating SubCoordinators. If the server on which the method is invoked is not the coordinating server then the coordinating server will be notified to process the rollback.

  Parameters:
    `xid` -
  Throws:
    java.rmi.RemoteException -

### forceLocalCommit

    public void forceLocalCommit(javax.transaction.xa.Xid xid)
                          throws java.rmi.RemoteException

  Forces the transaction represented by xid to be committed at the local SubCoordinator only.

  Parameters:
    `xid` -
  Throws:
    java.rmi.RemoteException -

### forceGlobalCommit

    public void forceGlobalCommit(javax.transaction.xa.Xid xid)
                           throws java.rmi.RemoteException

  Forces the transaction represented by xid to be committed at all participating SubCoordinators. If the server on which the method is invoked is not the coordinating server then the coordinating server will be notified to process the commit.

  Parameters:
    `xid` -
  Throws:
    java.rmi.RemoteException -

### getJTATransaction

    public JTATransaction getJTATransaction(java.lang.String xid)
                                     throws java.rmi.RemoteException

  Returns the JTATransaction information object for the specified Xid. If the transaction represented by xid does not exist on the server, then the method will return null.

  Parameters:
    `xid` -
  Returns:
    The jTATransaction value
  Throws:
    java.rmi.RemoteException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD